hospital360/routes/web.php
Route::get('/shiftsdetailsafternoon', 'HomeController@homepageshiftsdetailsafternoon');
Route::get('/shiftsdetailsevening', 'HomeController@homepageshiftsdetailsevening');

Route::get('/thisweek', 'HomeController@homepagethisweek');
Route::get('/thisweek_days_list', 'HomeController@homepagethisweek_day_list');
Route::get('/thisweeklist/{date?}', 'HomeController@homepagethisweeklist');
Route::get('/thismonth', 'HomeController@homepagethismonth');
Route::get('/thismonth_week_list', 'HomeController@homepagethismonth_week_list');
Route::get('/thismonth_day_list', 'HomeController@homepagethismonth_day_list');
Route::get('/week_one', 'HomeController@homepagethismonthweek_one_list');
Route::get('/week_two', 'HomeController@homepagethismonthweek_two_list');
Route::get('/week_three', 'HomeController@homepagethismonthweek_three_list');
Route::get('/week_four', 'HomeController@homepagethismonthweek_four_list');
Route::get('/week_five', 'HomeController@homepagethismonthweek_five_list');
Route::get('/thismonthlist', 'HomeController@homepagethismonthlist');
Route::get('/thisyear', 'HomeController@homepagethisyear');
Route::get('/thisyear_month_list/{test?}', 'HomeController@homepagethisyear_month_wise_list');
Route::get('/getyear', 'HomeController@home_year');
Route::get('/thisyear_week_list', 'HomeController@homepagethisyear_week_list');
Route::get('/thisyear_day_wise_list', 'HomeController@homepagethisyear_day_wise_list');
Route::get('/thisyearlist', 'HomeController@homepagethisyearlist');

/*hospital Routes start*/
Route::get('/hasptal_bio', 'HomeController@hasptal_bio');
Route::get('/h_address', 'HomeController@h_address');
Route::get('/h_password', 'HomeController@h_password');
Route::get('/h_contact', 'HomeController@h_contact');
Route::get('/h_profilepic', 'HomeController@h_profilepic');
Route::get('/h_license', 'HomeController@h_license');
Route::get('/h_current_balance', 'HomeController@h_current_balance');
Route::get('/h_add_fund', 'HomeController@h_add_fund');
Route::post('/h_add_fund_store', 'hospitalAddFundController@store')->name('h_add_fund.store');
Route::post('/h_profilepic_remove', 'HomeController@h_profilepic_remove');
Route::post('/hasptal_bio_update/{id}', 'HaspatalRegsiterController@update1')->name('hasptal.bio.update');

Route::get('/h_refund', 'HomeController@h_refund');
Route::post('/h_refund', 'hospitalWithdrawController@store')->name('h_refund.store');
Route::get('/h_statement', 'HomeController@h_statement');
Route::post('/h_account_statement_view', 'HomeController@h_account_statement_view')->name('h_account_statement_view');

Route::get('/h_bankinginfo', 'HomeController@h_bankinginfo');
/*hospital Routes end*/


Route::get('/hospital_profile', 'HomeController@hospital_profile');
Route::post('/hospital_profile/{id}', 'HaspatalRegsiterController@update1')->name('hospital_profileEdit.update');
Route::get('/hospital_consult_price', 'HomeController@hospital_consult_price')->name('hospital_consult_price');;
Route::get('/hospital_register_doctor', 'HomeController@hospital_register_doctor')->name('hospital_register_doctor');
Route::get('/hospital_specialities_create', 'HomeController@hospital_specialities_create')->name('hospital_specialities_create');
Route::get('/hospital_specialities_edit/{id}', 'HomeController@hospital_specialities_edit')->name('hospital_specialities_edit');
Route::get('/hospital_specialities_list', 'HomeController@hospital_specialities_list')->name('hospital_specialities_list');

Route::get('/hospital_doctor_list', 'HomeController@hospital_doctor_list')->name('hospital_doctor_list');

Route::get('/hospital_consult_price_create', 'HomeController@hospital_consult_price_create')->name('hospital_consult_price_create');
Route::get('/hospital_consult_price_edit/{id}', 'HomeController@hospital_consult_price_edit')->name('hospital_consult_price_edit');
Route::post('/my_review_answer', 'HomeController@review_answer')->name('my_review_answer.update');


Route::resource('propertyTypes', 'Property_typeController');

Route::resource('countries', 'CountryController');

Route::resource('states', 'StateController');

Route::resource('cities', 'CityController')->middleware('auth');
Route::get('cityImport', 'CityController@cityImport')->name('cityImport')->middleware('auth');
Route::post('cityImport', 'CityController@cityImportPost')->name('cityImportPost')->middleware('auth');

Route::resource('propertyDetails', 'PropertyDetailsController')->middleware('auth');

Route::resource('taxSetups', 'TaxSetupController')->middleware('auth');

Route::resource('memberDetails', 'MemberDetailsController')->middleware('auth');

Route::resource('languages', 'LanguageController')->middleware('auth');

Route::resource('specialities', 'SpecialitiesController')->middleware('auth');

Route::resource('doctors', 'DoctorsController')->middleware('auth');

Route::resource('patients', 'PatientsController')->middleware('auth');

Route::get('patientsImport', function(){
    return view('patients.patientImport');
});
Route::post('patientsImport', 'PatientsController@patientsImportPost')->name('patientsImportPost')->middleware('auth');

Route::resource('serviceDetails', 'Service_detailsController')->middleware('auth');

Route::resource('setServicePrices', 'Set_service_priceController')->middleware('auth');





Route::resource('bankInformations', 'Bank_informationController')->middleware('auth');

Route::resource('licenceTypes', 'Licence_typeController')->middleware('auth');











Route::resource('bookingRequests', 'BookingRequestController')->middleware('auth');

Route::resource('myFavourites', 'My_favouriteController')->middleware('auth');

Route::resource('doctorAvailabilities', 'Doctor_availabilityController')->middleware('auth');

Route::resource('prescriptionDetails', 'Prescription_detailsController')->middleware('auth');

Route::resource('patientAddFunds', 'Patient_add_fundController')->middleware('auth');

Route::resource('patientRefundRequests', 'Patient_refund_requestController')->middleware('auth');

Route::resource('timeSlots', 'TimeSlotController')->middleware('auth');

Route::resource('coupans', 'CoupanController')->middleware('auth');



Route::resource('keyPointsPatients', 'Key_points_patientController')->middleware('auth');

Route::resource('presentMedicationsPatients', 'Present_medications_patientController')->middleware('auth');

Route::resource('examinationNotesPatients', 'Examination_notes_patientController')->middleware('auth');

Route::resource('availableLabPatients', 'Available_lab_patientController')->middleware('auth');

Route::resource('perceivedPatients', 'Perceived_patientController')->middleware('auth');

Route::resource('suggestedInvestigationsPatients', 'Suggested_investigations_patientController');

Route::resource('suggestedImagingsPatients', 'Suggested_imagings_patientController')->middleware('auth');

Route::resource('suggestedSpecialistsPatients', 'Suggested_specialists_patientController')->middleware('auth');

Route::resource('suggestedTherapiesPatients', 'Suggested_therapies_patientController')->middleware('auth');

Route::resource('presentComplaintPatients', 'Present_complaint_patientController')->middleware('auth');

Route::resource('planMasters', 'Plan_masterController')->middleware('auth');



Route::resource('doctorWithdraws', 'Doctor_withdrawController')->middleware('auth');

Route::resource('supports', 'SupportController')->middleware('auth');

Route::resource('hospitalRegisters', 'Hospital_registerController')->middleware('auth');

Route::resource('reviews', 'ReviewController')->middleware('auth');

Route::resource('businessTypes', 'Business_typeController')->middleware('auth');

Route::resource('hPlans', 'H_planController')->middleware('auth');

Route::resource('businessRegisters', 'Business_registerController')->middleware('auth');

Route::resource('offers', 'OfferController')->middleware('auth');

Route::resource('haspatal360Registers', 'Haspatal_360_registerController')->middleware('auth');

Route::resource('bookingPriceAdmins', 'Booking_price_adminController')->middleware('auth');

Route::resource('yourCoverage360s', 'Your_coverage_360Controller')->middleware('auth');

Route::resource('createOffer360s', 'Create_offer_360Controller')->middleware('auth');

Route::resource('wallet360s', 'Wallet_360Controller')->middleware('auth');

Route::resource('wallet360Transactions', 'Wallet_360_transactionController')->middleware('auth');

Route::resource('buyPlans', 'Buy_planController')->middleware('auth');

Route::resource('order360s', 'Order_360Controller')->middleware('auth');

Route::resource('orderQueries', 'Order_queryController')->middleware('auth');

Route::resource('haspatalRegsiters', 'HaspatalRegsiterController');

Route::resource('setConsultPrices', 'Set_Consult_PricesController')->middleware('auth');

Route::resource('review360s', 'review_360Controller')->middleware('auth');

Route::resource('taxes', 'TaxController');

Route::resource('buyPlanDrs', 'Buy_plan_drController');

Route::resource('medicines', 'MedicineController');

Route::resource('labTests', 'LabTestController');

Route::resource('imagingLists', 'Imaging_listController');

Route::resource('therapiesLists', 'Therapies_listController');

Route::resource('counselingsLists', 'Counselings_listController');

Route::resource('homeCareLists', 'Home_care_listController');

Route::resource('referralSpecialities', 'ReferralSpecialitiesController');









Route::resource('followupPeriods', 'FollowupPeriodController');

Route::resource('hospitalAddFunds', 'hospitalAddFundController');

Route::resource('hospitalWithdraws', 'hospitalWithdrawController');

Route::resource('tasks', 'TaskController');
Route::get('taskAssign', 'TaskController@taskAssign');
Route::get('taskUpdate', 'TaskController@taskUpdate');
Route::get('operator_task', 'TaskController@operator_task')->name('operator_task');


Route::resource('h360coupans', 'H360coupanController');


//test by Santosh

hospital360/app/Models/Examination_notes_patient.php
<?php

namespace App\Models;

use Eloquent as Model;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @SWG\Definition(
 *      definition="Examination_notes_patient",
 *      required={"examination_notes"},
 *      @SWG\Property(
 *          property="id",
 *          description="id",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="e_patient_id",
 *          description="e_patient_id",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="e_doctor_id",
 *          description="e_doctor_id",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="examination_notes",
 *          description="examination_notes",
 *          type="string"
 *      ),
 *      @SWG\Property(
 *          property="created_by",
 *          description="created_by",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="updated_by",
 *          description="updated_by",
 *          type="integer",
 *          format="int32"
 *      ),
 *      @SWG\Property(
 *          property="created_at",
 *          description="created_at",
 *          type="string",
 *          format="date-time"
 *      ),
 *      @SWG\Property(
 *          property="updated_at",
 *          description="updated_at",
 *          type="string",
 *          format="date-time"
 *      )
 * )
 */
class Examination_notes_patient extends Model
{
    use SoftDeletes;

    public $table = 'Examination_notes_patient';
    

    protected $dates = ['deleted_at'];



    public $fillable = [
        'e_patient_id',
        'e_doctor_id',
        'examination_notes',
        'e_book_id',
        'created_by',
        'updated_by'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'e_patient_id' => 'integer',
        'e_doctor_id' => 'integer',
        'examination_notes' => 'string',
        'created_by' => 'integer',
        'updated_by' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        'examination_notes' => 'required'
    ];

    
}

hospital360/app/Http/Controllers/Examination_notes_patientController.php
<?php

namespace App\Http\Controllers;

use App\DataTables\Examination_notes_patientDataTable;
use App\Http\Requests;
use App\Http\Requests\CreateExamination_notes_patientRequest;
use App\Http\Requests\UpdateExamination_notes_patientRequest;
use App\Repositories\Examination_notes_patientRepository;
use Flash;
use App\Http\Controllers\AppBaseController;
use Response;
use Auth;
use Illuminate\Http\Request;
class Examination_notes_patientController extends AppBaseController
{
    /** @var  Examination_notes_patientRepository */
    private $examinationNotesPatientRepository;

    public function __construct(Examination_notes_patientRepository $examinationNotesPatientRepo)
    {
        $this->examinationNotesPatientRepository = $examinationNotesPatientRepo;
    }

    /**
     * Display a listing of the Examination_notes_patient.
     *
     * @param Examination_notes_patientDataTable $examinationNotesPatientDataTable
     * @return Response
     */
    public function index(Examination_notes_patientDataTable $examinationNotesPatientDataTable)
    {
        return $examinationNotesPatientDataTable->render('examination_notes_patients.index');
    }

    /**
     * Show the form for creating a new Examination_notes_patient.
     *
     * @return Response
     */
    public function create()
    {
        return view('examination_notes_patients.create');
    }

    /**
     * Store a newly created Examination_notes_patient in storage.
     *
     * @param CreateExamination_notes_patientRequest $request
     *
     * @return Response
     */
    public function store(Request $request)
    {
        $input = $request->all();
        $input['created_by'] = Auth::user()->id;
        $input['updated_by'] = Auth::user()->id;
        $examinationNotesPatient = $this->examinationNotesPatientRepository->create($input);

        if(Auth::user()->role_id == 1){
           Flash::success('Examination Notes Patient saved successfully.');
         return redirect(route('examinationNotesPatients.index'));
        }else{
           Flash::success('Examination Notes saved successfully.');
            return back();
        }
    }

    /**
     * Display the specified Examination_notes_patient.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function show($id)
    {
        $examinationNotesPatient = $this->examinationNotesPatientRepository->find($id);

        if (empty($examinationNotesPatient)) {
            Flash::error('Examination Notes Patient not found');

            return redirect(route('examinationNotesPatients.index'));
        }

        return view('examination_notes_patients.show')->with('examinationNotesPatient', $examinationNotesPatient);
    }

    /**
     * Show the form for editing the specified Examination_notes_patient.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        $examinationNotesPatient = $this->examinationNotesPatientRepository->find($id);

        if (empty($examinationNotesPatient)) {
            Flash::error('Examination Notes Patient not found');

            return redirect(route('examinationNotesPatients.index'));
        }

        return view('examination_notes_patients.edit')->with('examinationNotesPatient', $examinationNotesPatient);
    }

    /**
     * Update the specified Examination_notes_patient in storage.
     *
     * @param  int              $id
     * @param UpdateExamination_notes_patientRequest $request
     *
     * @return Response
     */
    public function update($id, UpdateExamination_notes_patientRequest $request)
    {
        $examinationNotesPatient = $this->examinationNotesPatientRepository->find($id);

        if (empty($examinationNotesPatient)) {
            Flash::error('Examination Notes Patient not found');

            return redirect(route('examinationNotesPatients.index'));
        }

        $examinationNotesPatient = $this->examinationNotesPatientRepository->update($request->all(), $id);

        Flash::success('Examination Notes Patient updated successfully.');

        return redirect(route('examinationNotesPatients.index'));
    }

    /**
     * Remove the specified Examination_notes_patient from storage.
     *
     * @param  int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        $examinationNotesPatient = $this->examinationNotesPatientRepository->find($id);

        if (empty($examinationNotesPatient)) {
            Flash::error('Examination Notes Patient not found');

            return redirect(route('examinationNotesPatients.index'));
        }

        $this->examinationNotesPatientRepository->delete($id);

        Flash::success('Examination Notes Patient deleted successfully.');

        return redirect(route('examinationNotesPatients.index'));
    }
}

hospital360/resources/views/examination_notes_patients/create.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
      <li class="breadcrumb-item">
         <a href="{!! route('examinationNotesPatients.index') !!}">Examination Notes Patient</a>
      </li>
      <li class="breadcrumb-item active">Create</li>
    </ol>
     <div class="container-fluid">
          <div class="animated fadeIn">
                @include('coreui-templates::common.errors')
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <i class="fa fa-plus-square-o fa-lg"></i>
                                <strong>Create Examination Notes Patient</strong>
                            </div>
                            <div class="card-body">
                                {!! Form::open(['route' => 'examinationNotesPatients.store']) !!}

                                   @include('examination_notes_patients.fields')

                                {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
           </div>
    </div>
@endsection

hospital360/resources/views/examination_notes_patients/datatables_actions.blade.php
{!! Form::open(['route' => ['examinationNotesPatients.destroy', $id], 'method' => 'delete']) !!}
<div class='btn-group'>
    <a href="{{ route('examinationNotesPatients.show', $id) }}" class='btn btn-ghost-success'>
       <i class="fa fa-eye"></i>
    </a>
    <a href="{{ route('examinationNotesPatients.edit', $id) }}" class='btn btn-ghost-info'>
       <i class="fa fa-edit"></i>
    </a>
    {!! Form::button('<i class="fa fa-trash"></i>', [
        'type' => 'submit',
        'class' => 'btn btn-ghost-danger',
        'onclick' => "return confirm('Are you sure?')"
    ]) !!}
</div>
{!! Form::close() !!}

hospital360/resources/views/examination_notes_patients/edit.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
          <li class="breadcrumb-item">
             <a href="{!! route('examinationNotesPatients.index') !!}">Examination Notes Patient</a>
          </li>
          <li class="breadcrumb-item active">Edit</li>
        </ol>
    <div class="container-fluid">
         <div class="animated fadeIn">
             @include('coreui-templates::common.errors')
             <div class="row">
                 <div class="col-lg-12">
                      <div class="card">
                          <div class="card-header">
                              <i class="fa fa-edit fa-lg"></i>
                              <strong>Edit Examination Notes Patient</strong>
                          </div>
                          <div class="card-body">
                              {!! Form::model($examinationNotesPatient, ['route' => ['examinationNotesPatients.update', $examinationNotesPatient->id], 'method' => 'patch']) !!}

                              @include('examination_notes_patients.fields')

                              {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
         </div>
    </div>
@endsection

hospital360/resources/views/examination_notes_patients/fields.blade.php
<!-- E Patient Id Field -->
<div class="form-group col-sm-6">
    {!! Form::label('e_patient_id', 'E Patient Id:') !!}
    {!! Form::text('e_patient_id', null, ['class' => 'form-control']) !!}
</div>

<!-- E Doctor Id Field -->
<div class="form-group col-sm-6">
    {!! Form::label('e_doctor_id', 'E Doctor Id:') !!}
    {!! Form::text('e_doctor_id', null, ['class' => 'form-control']) !!}
</div>

<!-- Examination Notes Field -->
<div class="form-group col-sm-12 col-lg-12">
    {!! Form::label('examination_notes', 'Examination Notes:') !!}
    {!! Form::textarea('examination_notes', null, ['class' => 'form-control']) !!}
</div>

<!-- Created By Field -->
<div class="form-group col-sm-6">
    {!! Form::label('created_by', 'Created By:') !!}
    {!! Form::text('created_by', null, ['class' => 'form-control']) !!}
</div>

<!-- Updated By Field -->
<div class="form-group col-sm-6">
    {!! Form::label('updated_by', 'Updated By:') !!}
    {!! Form::text('updated_by', null, ['class' => 'form-control']) !!}
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12">
    {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
    <a href="{{ route('examinationNotesPatients.index') }}" class="btn btn-secondary">Cancel</a>
</div>

hospital360/resources/views/examination_notes_patients/index.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
        <li class="breadcrumb-item">Examination Notes Patients</li>
    </ol>
    <div class="container-fluid">
        <div class="animated fadeIn">
             @include('flash::message')
             <div class="row">
                 <div class="col-lg-12">
                     <div class="card">
                         <div class="card-header">
                             <i class="fa fa-align-justify"></i>
                             Examination_notes_patients
                             <a class="pull-right" href="{{ route('examinationNotesPatients.create') }}"><i class="fa fa-plus-square fa-lg"></i></a>
                         </div>
                         <div class="card-body">
                             @include('examination_notes_patients.table')
                              <div class="pull-right mr-3">
                                     
                              </div>
                         </div>
                     </div>
                  </div>
             </div>
         </div>
    </div>
@endsection

hospital360/resources/views/examination_notes_patients/show.blade.php
@extends('layouts.app')

@section('content')
     <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ route('examinationNotesPatients.index') }}">Examination Notes Patient</a>
            </li>
            <li class="breadcrumb-item active">Detail</li>
     </ol>
     <div class="container-fluid">
          <div class="animated fadeIn">
                 @include('coreui-templates::common.errors')
                 <div class="row">
                     <div class="col-lg-12">
                         <div class="card">
                             <div class="card-header">
                                 <strong>Details</strong>
                                  <a href="{{ route('examinationNotesPatients.index') }}" class="btn btn-light">Back</a>
                             </div>
                             <div class="card-body">
                                 @include('examination_notes_patients.show_fields')
                             </div>
                         </div>
                     </div>
                 </div>
          </div>
    </div>
@endsection

hospital360/resources/views/examination_notes_patients/show_fields.blade.php
<!-- Id Field -->
<div class="form-group">
    {!! Form::label('id', 'Id:') !!}
    <p>{{ $examinationNotesPatient->id }}</p>
</div>

<!-- E Patient Id Field -->
<div class="form-group">
    {!! Form::label('e_patient_id', 'E Patient Id:') !!}
    <p>{{ $examinationNotesPatient->e_patient_id }}</p>
</div>

<!-- E Doctor Id Field -->
<div class="form-group">
    {!! Form::label('e_doctor_id', 'E Doctor Id:') !!}
    <p>{{ $examinationNotesPatient->e_doctor_id }}</p>
</div>

<!-- Examination Notes Field -->
<div class="form-group">
    {!! Form::label('examination_notes', 'Examination Notes:') !!}
    <p>{{ $examinationNotesPatient->examination_notes }}</p>
</div>

<!-- Created By Field -->
<div class="form-group">
    {!! Form::label('created_by', 'Created By:') !!}
    <p>{{ $examinationNotesPatient->created_by }}</p>
</div>

<!-- Updated By Field -->
<div class="form-group">
    {!! Form::label('updated_by', 'Updated By:') !!}
    <p>{{ $examinationNotesPatient->updated_by }}</p>
</div>

<!-- Created At Field -->
<div class="form-group">
    {!! Form::label('created_at', 'Created At:') !!}
    <p>{{ $examinationNotesPatient->created_at }}</p>
</div>

<!-- Updated At Field -->
<div class="form-group">
    {!! Form::label('updated_at', 'Updated At:') !!}
    <p>{{ $examinationNotesPatient->updated_at }}</p>
</div>

hospital360/resources/views/examination_notes_patients/table.blade.php
@section('css')
    @include('layouts.datatables_css')
@endsection

{!! $dataTable->table(['width' => '100%', 'class' => 'table table-striped table-bordered']) !!}

@push('scripts')
    @include('layouts.datatables_js')
    {!! $dataTable->scripts() !!}
@endpush